in_array
krsort
Array Funktionen
PHP Manual

# key

(PHP 4, PHP 5)

key — Liefert einen Schlüssel eines assoziativen Arrays

### Beschreibung

mixed key ( array `&$array` )

key() liefert das Index Element der aktuellen Position im Array.

Beispiel #1 key() Beispiel

`<?php
$array = array(
'Frucht1' => 'Apfel',
'Frucht2' => 'Orange',
'Frucht3' => 'Grape',
'Frucht4' => 'Apfel',
'Frucht5' => 'Apfel');
// Diese Schleife gibt alle Schlüssel des assoziativen
// Arrays aus, deren Wert "Apfel" ist.
while ($fruit_name = current($array)) {
if ($fruit_name == 'Apfel') {
echo key($array).'<br />';
}
next($array);
}
?>`

Siehe auch current() und next().

in_array
krsort
Array Funktionen
PHP Manual